## pnscan 1.6

=== Makefile ===
# Makefile for pnscan

TAR=tar
GZIP=gzip
MAKE=make

## Solaris 8 with Gcc 3.0
GSO_CC=gcc -Wall -g -O -pthreads
GSO_LIBS= -lnsl -lsocket

## Solaris 8 with Forte C 6.2
SOL_CC=cc -mt -O
SOL_LIBS= -lpthread -lnsl -lsocket

## Linux 2.4 with Gcc 2.96
LNX_CC=gcc -g -O
LNX_LIBS=-lpthread -lnsl

default:
	@echo 'Use "make SYSTEM" where SYSTEM may be:'
	@echo '   lnx      (Linux with GCC)'
	@echo '   gso      (Solaris with GCC v3)'
	@echo '   sol      (Solaris with Forte C)'
	@exit 1

lnx linux:
	@$(MAKE) all CC="$(LNX_CC)" LIBS="$(LNX_LIBS)"

gso:
	@$(MAKE) all CC="$(GSO_CC)" LIBS="$(GSO_LIBS)"

sol solaris:
	@$(MAKE) all CC="$(SOL_CC)" LIBS="$(SOL_LIBS)"

all: pnscan

pnscan: pnscan.o bm.o version.o
	$(CC) -o pnscan pnscan.o bm.o version.o $(LIBS)


version:
	(PACKNAME=`basename \`pwd\`` ; echo 'char version[] = "'`echo $$PACKNAME | cut -d- -f2`'";' >version.c)

clean distclean:
	-rm -f *.o *~ pnscan core \#*

dist:	distclean version
	(PACKNAME=`basename \`pwd\`` ; cd .. ; $(TAR) cf - $$PACKNAME | $(GZIP) -9 >$$PACKNAME.tar.gz)

install: all
	cp pnscan /usr/local/bin
	cp ipsort /usr/local/bin

## pnscan 1.11

=== Makefile ===
# Makefile for pnscan

DESTDIR=/usr/local

BINDIR=$(DESTDIR)/bin
MANDIR=$(DESTDIR)/man
MAN1DIR=$(MANDIR)/man1

TAR=tar
GZIP=gzip
MAKE=make
INSTALL=./install-sh


## Solaris 8 with Gcc 3.0
GSO_CC=gcc -Wall -g -O -pthreads
GSO_LDOPTS=
GSO_LIBS= -lnsl -lsocket

## Solaris 8 with Forte C 6.2
SOL_CC=cc -mt -O
SOL_LDOPTS=
SOL_LIBS= -lpthread -lnsl -lsocket

## Linux 2.4 with Gcc 2.96
LNX_CC=gcc -Wall -g -O
LNX_LDOPTS=-Wl,-s 
LNX_LIBS=-lpthread -lnsl


OBJS = pnscan.o bm.o version.o


default:
	@echo 'Use "make SYSTEM" where SYSTEM may be:'
	@echo '   lnx      (Linux with GCC)'
	@echo '   gso      (Solaris with GCC v3)'
	@echo '   sol      (Solaris with Forte C)'
	@exit 1

lnx linux:
	@$(MAKE) all CC="$(LNX_CC)" LIBS="$(LNX_LIBS)" LDOPTS="$(LNX_LDOPTS)"

gso:
	@$(MAKE) all CC="$(GSO_CC)" LIBS="$(GSO_LIBS)" LDOPTS="$(GSO_LDOPTS)"

sol solaris:
	@$(MAKE) all CC="$(SOL_CC)" LIBS="$(SOL_LIBS)" LDOPTS="$(SOL_LDOPTS)"

all: pnscan

man: pnscan.1 ipsort.1

pnscan.1:	pnscan.sgml
	docbook2man pnscan.sgml

ipsort.1:	ipsort.sgml
	docbook2man ipsort.sgml

pnscan: $(OBJS)
	$(CC) $(LDOPTS) -o pnscan $(OBJS) $(LIBS)


version:
	(PACKNAME=`basename \`pwd\`` ; echo 'char version[] = "'`echo $$PACKNAME | cut -d- -f2`'";' >version.c)

clean distclean:
	-rm -f *.o *~ pnscan core manpage.* \#*

dist:	distclean version
	(PACKNAME=`basename \`pwd\`` ; cd .. ; $(TAR) cf - $$PACKNAME | $(GZIP) -9 >$$PACKNAME.tar.gz)



install:	install-bin install-man

install-bin: all
	$(INSTALL) -c -m 755 pnscan $(BINDIR)
	$(INSTALL) -c -m 755 ipsort $(BINDIR)

install-man: man
	$(INSTALL) -c -m 644 pnscan.1 $(MAN1DIR)
	$(INSTALL) -c -m 644 ipsort.1 $(MAN1DIR)


install-all install-distribution: install

=== debian/changelog ===
pnscan (1.11-6) unstable; urgency=low

  * Removed option '-s' in debian/rules for nostrip (Closes: #437778).

 -- William Vera <billy@billy.com.mx>  Thu, 08 Jul 2010 17:30:23 -0500

pnscan (1.11-5) unstable; urgency=low

  * New maintainer (Closes: #586411).
  * Bump Standards-Version to 3.9.0. 
  * Bump debhelper version to 7.0.50 at the control file. 
  * Updated clean rule in the debian/rules. 
  * Added  ${misc:Depends} as depend in control file.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Added Homepage field at control file.
  * Updated watch file (Closes: #529133).
  * Added DM Upload Allowed at the control file.

 -- William Vera <billy@billy.com.mx>  Thu, 01 Jul 2010 09:50:54 -0500

pnscan (1.11-4) unstable; urgency=low

  * Applied patch from Jose Luis Gonzalez <jlgonzal@ya.com> to correct a
    segfault when no arguments are used, closes: #447408.
  * Changed from debhelper compatibility 3 to 4.
  * Updated standards version from 3.5.8 to 3.7.2.

 -- Ola Lundqvist <opal@debian.org>  Sun, 21 Oct 2007 12:59:15 +0200

pnscan (1.11-3) unstable; urgency=low

  * Fixed errno clobber using patch from Florian Weimer.
  * Fixed socket problem using patch from Florian Weimer.
  * Updated standards version from 3.5.2 to 3.5.8.
  * Fixed first line of description.

 -- Ola Lundqvist <opal@debian.org>  Fri, 18 Jul 2003 12:10:00 +0200

pnscan (1.11-2) unstable; urgency=low

  * Fixed build dependency, closes: #145156.

 -- Ola Lundqvist <opal@debian.org>  Tue, 30 Apr 2002 09:56:29 +0200

pnscan (1.11-1) unstable; urgency=low

  * New upstream release, closes: #139451.
  * Updated description, closes: #144908.

 -- Ola Lundqvist <opal@debian.org>  Mon, 29 Apr 2002 08:54:10 +0200

pnscan (1.6-1) unstable; urgency=low

  * Initial Release.

 -- Ola Lundqvist <opal@debian.org>  Fri, 22 Mar 2002 10:53:01 +0100

=== debian/control ===
Source: pnscan
Section: net
Priority: optional
Maintainer: William Vera <billy@billy.com.mx>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>=7.0.50), docbook-to-man, docbook-utils
Standards-Version: 3.9.0
Homepage: http://www.lysator.liu.se/~pen/pnscan/

Package: pnscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi threaded port scanner
 Pnscan is a multi threaded port scanner that can scan a large network
 very quickly. If does not have all the features that nmap have but
 is much faster.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
#export DH_COMPAT=4

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) linux
	#/usr/bin/docbook-to-man debian/pnscan.sgml > pnscan.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean 
	dh_installdirs

	# Add here commands to install the package into debian/pnscan.
	$(MAKE) install-distribution DESTDIR=$(CURDIR)/debian/pnscan/usr MANDIR=$(CURDIR)/debian/pnscan/usr/share/man
	gzip -9 $(CURDIR)/debian/pnscan/usr/share/man/man1/*

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
opts=pasv ftp://ftp.lysator.liu.se/pub/unix/pnscan/pnscan-(.*)\.tar\.gz

## pnscan 1.12

=== debian/changelog ===
pnscan (1.12-1) unstable; urgency=medium

  * New maintainer (Closes: #847510)
  * Import new upstream
  * Bump Standards-Version to 3.9.8
  * Bump debhelper version to 10
  * Rewrite copyright format
  * Add GIT address at the control file
  * Rewrite debian/rules by using dh command

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Sun, 11 Dec 2016 22:53:52 +0800

=== debian/control ===
Source: pnscan
Section: net
Priority: optional
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
Build-Depends: debhelper (>= 10),
               dh-systemd
Standards-Version: 3.9.8
Homepage: https://github.com/ptrrkssn/pnscan
Vcs-Browser: https://anonscm.debian.org/git/pkg-security/pnscan.git
Vcs-Git: https://anonscm.debian.org/git/pkg-security/pnscan.git

Package: pnscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi threaded port scanner
 Pnscan is a multi threaded port scanner that can scan a large network
 very quickly. If does not have all the features that nmap have but
 is much faster.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all

%:
	dh $@ --parallel --with systemd

override_dh_auto_build:
	make linux

override_dh_auto_install:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/ptrrkssn/pnscan/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## pnscan 1.12%2Bgit20180612

=== debian/control ===
Source: pnscan
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.2.1
Homepage: https://github.com/ptrrkssn/pnscan
Vcs-Browser: https://salsa.debian.org/pkg-security-team/pnscan
Vcs-Git: https://salsa.debian.org/pkg-security-team/pnscan.git

Package: pnscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi threaded port scanner
 Pnscan is a multi threaded port scanner that can scan a large network
 very quickly. If does not have all the features that nmap have but
 is much faster.

## pnscan 1.12+git20180612

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,10 @@
 LNX_LDOPTS=-Wl,-s 
 LNX_LIBS=-lpthread -lnsl
 
+T64_CC=cc -pthread -O
+T64_LDOPTS=
+T64_LIBS= -lpthread
+
 
 OBJS = pnscan.o bm.o version.o
 
@@ -36,7 +40,11 @@
 	@echo '   lnx      (Linux with GCC)'
 	@echo '   gso      (Solaris with GCC v3)'
 	@echo '   sol      (Solaris with Forte C)'
+	@echo '   t64      (Tru64 Unix with Compaq C)'
 	@exit 1
+
+t64 tru64 osf1 digitalunix:
+	@$(MAKE) all CC="$(T64_CC)" LIBS="$(T64_LIBS)" LDOPTS="$(T64_LDOPTS)"
 
 lnx linux:
 	@$(MAKE) all CC="$(LNX_CC)" LIBS="$(LNX_LIBS)" LDOPTS="$(LNX_LDOPTS)"

=== debian/changelog ===
pnscan (1.12+git20180612-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make and pass
    CC via LNX_CC. (Closes: #942204) 

  [ SZ Lin (林上智) ]
  * d/control:
    - Use debhelper-compat (= 12) in build-dependency to replace d/compat
    - Set Rules-Requires-Root: no
    - Bump Standards-Version to 4.4.1
  * d/watch:
    - Fix malformed flemamemangle

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 13 Oct 2019 00:04:29 +0800

pnscan (1.12+git20180612-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * d/control:
    - Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
    - Update team maintainer address to Debian Security Tools

  [ SZ Lin (林上智) ]
  * Import new upstream
  * Fixed coredump with missing arg (Closes: #716145)
  * d/control:
    - Bump Standards-Version to 4.2.1
    - Bump debhelper version to 11
    - Remove Builde-Depends: dh-systemd
    - Update email of uploader
  * d/copyright:
    - Replace "http" with "https"
    - Update copyright info.
  * d/compat:
    - Bump version to 11
  * d/rules:
    - Remove "--with systemd --parallel" for dh since it is enabled by
      default now.
  * Converting git-dpm to gbp pq

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 27 Aug 2018 14:25:08 +0800

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/ptrrkssn/pnscan
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/pnscan
 Vcs-Git: https://salsa.debian.org/pkg-security-team/pnscan.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- linux LNX_CC='$$(CC) -Wall -g -O'

override_dh_auto_install:

## pnscan 1.14.1

=== debian/changelog ===
pnscan (1.14.1-2) unstable; urgency=medium

  * Fix d/watch issue
  * d/control:
    - Bump Standards-Version to 4.6.1.0
  * d/copyright:
    - Update copyright year

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 20 Dec 2022 22:02:44 +0800

pnscan (1.14.1-1) unstable; urgency=medium

  * Import new upstream
  * Remove unneeded patch
  * Use the manpage from upstream release
  * d/control:
    - Update copyright information with new upstream release
  * d/install:
    - Remove ipsort and add t_listen with new upstream release
  * d/rules:
    - Remove unneeded settings

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 01 Jul 2020 16:15:33 +0800

pnscan (1.13-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Add patch to inject LDFLAGS for proper hardening support

  [ Debian Janitor ]
  * Add package metadata

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian
  * Add Salsa's CI configuration file

  [ SZ Lin (林上智) ]
  * Import new upstream
  * Add autopkgtest case
  * Tidy the patch due to new upstream release
  * d/control:
    - Bump debhelper-compat to 13
    - Bump Standards-Version to 4.5.0

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 09 Jun 2020 17:04:44 +0800

pnscan (1.12+git20180612-2) unstable; urgency=low

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make and pass
    CC via LNX_CC. (Closes: #942204)

  [ SZ Lin (林上智) ]
  * d/control:
    - Use debhelper-compat (= 12) in build-dependency to replace d/compat
    - Set Rules-Requires-Root: no
    - Bump Standards-Version to 4.4.1
  * d/watch:
    - Fix malformed flemamemangle

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 13 Oct 2019 00:08:02 +0800

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ptrrkssn/pnscan
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/pnscan

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pnscan-$1\.tar\.gz/ \
   https://github.com/ptrrkssn/pnscan/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
